C                     PROGRAMME PP2009A.FOR
C
C PP2009A.FOR extracts pole co-ordinates and their standard errors
C from the file 2009a.eops on the Goddard Space Flight Center website.
C
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)
      OPEN(UNIT=1,FILE='2009a.eops',STATUS='OLD')
      OPEN(UNIT=2,FILE='pp2009a.dat',STATUS='UNKNOWN')
C Read in extracted data.
      DO 10 I=1,4443
        READ(1,11)DAY,XWOB,YWOB,UT1MC,PSI,EPS,EXWOB,EYWOB,
     1  EUT1MC,SEPSI,SEEPS,WMS,C1,C2,C3,C4,N,SC,SD,RX,RY,
     2  DLOD,F1,F2,UX,UY,UL,Q1,Q2,P1,P2
 11     FORMAT(1X,F12.6,2F9.6,F11.7,2F9.3,2F9.6,F10.7,2F8.3,
     1  F8.2,4F7.4,I7,A7,F6.2,2F10.6,F11.7,2A3,2F10.6,F11.7,2A3,2A33)
C Set time origin to zero.
        DAY=DAY-44089.993750D0
C Write out extracted data.
        WRITE(2,12)I,DAY,XWOB,EXWOB,YWOB,EYWOB
 12     FORMAT(1X,I4,F16.6,4F10.6) 
 10   CONTINUE
      END
