      SUBROUTINE CONV(H,F,G,L,M,N)
C
C CONV finds the convolution of the M-length sequence F with the N-length
C sequence G as the L-length sequence H. L=M+N-1.
C
      IMPLICIT DOUBLE COMPLEX(A-H,O-Z)
      DIMENSION H(L),F(M),G(N)
      L=M+N-1
      DO 10 I=1,L
        H(I)=(0.D0,0.D)
 10   CONTINUE
      DO 20 I=1,M
        DO 30 J=1,N
          K=I+J-1
          H(K)=H(K)+F(I)*F(J)
 30     CONTINUE  
 20   CONTINUE
      RETURN
      END
